sigmlgen

## Class SiGMLDocsFromHNSSource

- java.lang.Object
- - sigmlgen.SiGMLDocsFromHNSSource

-     public class SiGMLDocsFromHNSSource
      extends java.lang.Object

  An instance of this class takes the sequence of `HNSSign`s generated by a given `HNSInputAsSignSequence`, and from these signs it constructs a pair of SiGML documents, one containing <hns_sign> elements and one containing <hamgestural_sign> elements. An HML document is also generated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLDocsFromHNSSource(HNSToHML htoh, HMLToSiGML htos, HNSInputAsSignSequence hnsin)` Constructs a new `SiGMLDocsFromHNSSource`, which will use the three given converters (that convert, respectively, an "HNS" SiGML sign element to an `HNSSign` object, an `HNSSign` object to an HML sign element, and an HML sign to a "Gestural" SiGML sign element) to generate "HNS" and "Gestural" SiGML document texts for the sequence of "HNS" SiGML signs obtained from a given `HNSInputAsSignSequence`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGesturalErrorCount()` Returns the error count for the "HNS-to-Gestural" SiGML conversion.
    `java.lang.String` | `getGesturalErrorText()` Returns the accumulated error text for the "HNS-to-Gestural" SiGML conversion.
    `java.lang.String` | `getGesturalSignsDoc()` Returns the text of the "Gestural" SiGML document corresponding to this doc-generator's HNS/HNST input.
    `java.lang.String` | `getHMLDoc()` Returns the text of the HML document corresponding to this doc-generator's HNS/HNST input.
    `java.lang.String` | `getHNSSignsDoc()` Returns the text of the "HNS" SiGML document corresponding to this doc-generator's HNS/HNST input.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLDocsFromHNSSource

          public SiGMLDocsFromHNSSource(HNSToHML htoh,
                                        HMLToSiGML htos,
                                        HNSInputAsSignSequence hnsin)

      Constructs a new `SiGMLDocsFromHNSSource`, which will use the three given converters (that convert, respectively, an "HNS" SiGML sign element to an `HNSSign` object, an `HNSSign` object to an HML sign element, and an HML sign to a "Gestural" SiGML sign element) to generate "HNS" and "Gestural" SiGML document texts for the sequence of "HNS" SiGML signs obtained from a given `HNSInputAsSignSequence`.
      Parameters:
        `htoh` - A `HNSToHML` converter for use by the new doc-generator.
        `htos` - A `HMLToSiGML` converter for use by the new doc-generator.
        `hnsin` - The HNS/HNST source for which the corresponding SiGML document texts are to be generated.

  - ### Method Detail

    - #### getHNSSignsDoc

          public java.lang.String getHNSSignsDoc()

      Returns the text of the "HNS" SiGML document corresponding to this doc-generator's HNS/HNST input.
      Returns:
        The "HNS" SiGML document text.

    - #### getHMLDoc

          public java.lang.String getHMLDoc()

      Returns the text of the HML document corresponding to this doc-generator's HNS/HNST input.
      Returns:
        The HML document text.

    - #### getGesturalSignsDoc

          public java.lang.String getGesturalSignsDoc()

      Returns the text of the "Gestural" SiGML document corresponding to this doc-generator's HNS/HNST input.
      Returns:
        The "Gestural" SiGML document text.

    - #### getGesturalErrorText

          public java.lang.String getGesturalErrorText()

      Returns the accumulated error text for the "HNS-to-Gestural" SiGML conversion.
      Returns:
        The accumulated "HNS-to-Gestural" error text.

    - #### getGesturalErrorCount

          public int getGesturalErrorCount()

      Returns the error count for the "HNS-to-Gestural" SiGML conversion.
      Returns:
        The "HNS-to-Gestural" error count.